package org.jeecg.modules.itdmgongdanshuju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.itdmgongdanshuju.dto.ItdmGongdanDto;
import org.jeecg.modules.itdmgongdanshuju.dto.ItdmGongdanEditListDto;
import org.jeecg.modules.itdmgongdanshuju.dto.ItdmGongdanUploadDto;
import org.jeecg.modules.itdmgongdanshuju.entity.ItdmGongdanDetail;
import org.jeecg.modules.itdmgongdanshuju.entity.ItdmGongdanShuju;

import java.util.List;

public interface ItdmGongdanShujuService extends IService<ItdmGongdanShuju> {

    Boolean generate(ItdmGongdanDto itdmGongdanDto);


    void upload(ItdmGongdanUploadDto upload);


    public void editList(ItdmGongdanEditListDto itdmGongdanShuju);

    String getUpdate(String weituoId);

}


